Bug 494738 - "Handle" for panel applets is invisible with any BlueCurve control theme
"Handle" for panel applets is invisible with any BlueCurve control theme
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: redhat-artwork (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Matthias Clasen
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-07 18:45 EDT by Amir Caspi
Modified: 2014-06-09 11:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-03 08:37:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 185819 None None None Never
CentOS 3474 None None None Never

  None (edit)
Description Amir Caspi 2009-04-07 18:45:39 EDT
Description of problem:
The "handle" for panel applets (i.e. the hashed area on the left of certain applets, used to drag the applets around the panel) is invisible when using any BlueCurve controls theme. (The Window Border and Icons settings are not relevant.)

While this appears to be a cosmetic issue, it's also a usability issue in that it's hard to know where the handle should be if one wants to move an applet around.

Version-Release number of selected component (if applicable):
redhat-artwork-5.1.0-28.el5

How reproducible:
Always

Steps to Reproduce:
1) Select any theme that is _not_ BlueCurve (either globally or just under Theme Details->Controls).
2) Add the Window List and/or Notification Area applets to a panel.
3) Select a BlueCurve theme (either globally or just under Theme Details->Controls).

Actual results:
The applet handle seems to disappear. (It's still physically there but is not visually discernible from the panel background.)

Expected results:
The applet handle should change to the one used for BlueCurve.

Additional info:
The problem appears to be with libbluecurve.so (specifically with /usr/lib64/gtk-2.0/2.10.0/engines/libbluecurve.so).

This was not a problem with RHEL 4.2 using redhat-artwork-0.120.1-1.2E. It is a problem with RHEL 5.2 using redhat-artwork-5.1.0-26.el5 ... upgrading to redhat-artwork-5.1.0-28.el5 does not solve the issue as libbluecurve.so is identical in that package.

It should also be noted that the 32-bit version of libbluecurve.so (in /usr/lib rather than /usr/lib64) _may_ not have this issue... if I install the 32-bit version of libbluecurve.so into $HOME/.gtk-2.0/engines, the applet handles appear just fine. However, all other Gnome applications complain horribly because they are not compatible with the 32-bit library, so this is _not_ an appropriate workaround; I only mention it because it may help track down the problem.

Using any theme other than BlueCurve is a viable workaround, but not a good one since the BlueCurve theme is preferred (and is the default RedHat theme, too).

See screenshots in external bugs.
Comment 2 RHEL Product and Program Management 2014-03-07 07:17:17 EST
Thank you for submitting this request for inclusion in Red Hat Enterprise Linux 5. We've carefully evaluated the request, but are unable to include it in the  last planned RHEL5 minor release. This Bugzilla will soon be CLOSED as WONTFIX. To request that Red Hat re-consider this request, please re-open the bugzilla via  appropriate support channels and provide additional business and/or technical details about its importance to you.
Comment 3 RHEL Product and Program Management 2014-06-03 08:37:19 EDT
Thank you for submitting this request for inclusion in Red Hat Enterprise Linux 5. We've carefully evaluated the request, but are unable to include it in RHEL5 stream. If the issue is critical for your business, please provide additional business justification through the appropriate support channels (https://access.redhat.com/site/support).
Comment 4 Amir Caspi 2014-06-09 11:43:46 EDT
This bug has a NEEDINFO flag set, for some reason. I guess my only reply is that this affects the usability of the panel since the "handles" are missing, so one has to guess where they would be.  But, I understand RHEL5 is basically EOL at this point.

Note You need to log in before you can comment on or make changes to this bug.